<?php

namespace Myriad\Authentication\Lib\Events;

use Illuminate\Queue\SerializesModels;
use Myriad\Authentication\Models\UserPhone;
use Illuminate\Contracts\Auth\Authenticatable;

class UserRegisteredWithPhone {

  use SerializesModels;

  public $user;
  public $userPhone;

  public function __construct(Authenticatable $user, UserPhone $userPhone) {
    $this->user = $user;
    $this->userPhone = $userPhone;
  }
}

