<?php

namespace Myriad\Authentication\Lib\Strategies;

trait GeneratesCodes {

  protected function generateCode($bytes = 96) {
    $rand = random_bytes($bytes);
    $rand = base64_encode($rand);
    $rand = str_replace(['/', '+', '='], ['_', '-', '*'], $rand); // replace non-url safe characters
    return substr($rand, 0, 4);
  }

}
