<?php

return [
  'env' => 'testing',
  'key' => 'AcsaudBadGutbigmidwialNakGeyRouc',
  'cipher' => 'AES-256-CBC',
  'debug' => true,
  'log' => 'errorlog',
  'timezone' => 'UTC',
  'aliases' => [
    'DB' => Illuminate\Support\Facades\DB::class,
    'Schema' => Illuminate\Support\Facades\Schema::class,
    'Route' => Illuminate\Support\Facades\Route::class,
    'View' => Illuminate\Support\Facades\View::class,
  ],
  'providers' => [
    \Illuminate\Auth\AuthServiceProvider::class,
    \Myriad\Authentication\AuthenticationServiceProvider::class,
    \Myriad\Authentication\EventServiceProvider::class,
    \Myriad\Installations\InstallationsServiceProvider::class,
    \Myriad\Validators\ValidatorServiceProvider::class,
    \Illuminate\Bus\BusServiceProvider::class,
    \Illuminate\Database\DatabaseServiceProvider::class,
    \Illuminate\Encryption\EncryptionServiceProvider::class,
    \Illuminate\Filesystem\FilesystemServiceProvider::class,
    \Illuminate\Hashing\HashServiceProvider::class,
    \Illuminate\Mail\MailServiceProvider::class,
    \Illuminate\Queue\QueueServiceProvider::class,
    \Illuminate\Translation\TranslationServiceProvider::class,
    \Illuminate\Validation\ValidationServiceProvider::class,
    \Illuminate\View\ViewServiceProvider::class,
  ]
];
