<?php

namespace spec\Myriad\Authentication\Lib\Guards;

use PhpSpec\ObjectBehavior;
use Prophecy\Argument;
use Illuminate\Contracts\Auth\Guard;
use Illuminate\Contracts\Auth\UserProvider;
use Illuminate\Http\Request;

class AccessTokenGuardSpec extends ObjectBehavior
{
  function let(UserProvider $userProvider, Request $request)
  {
    $this->beConstructedWith($userProvider, $request);
  }

  function it_is_initializable()
  {
    $this->shouldHaveType('Myriad\Authentication\Lib\Guards\AccessTokenGuard');
  }

  function it_should_implement_guard_interface()
  {
    $this->shouldImplement(Guard::class);
  }
}
