<?php

namespace spec\Myriad\Authentication\Lib\Providers;

use PhpSpec\ObjectBehavior;
use Prophecy\Argument;
use Illuminate\Contracts\Auth\UserProvider;
use Myriad\Authentication\Lib\Repositories\IAccessTokenRepository;
use Myriad\Authentication\Models\User;

class EloquentApiUserProviderSpec extends ObjectBehavior
{
  function let(IAccessTokenRepository $accessTokenRepo)
  {
    $this->beConstructedWith($accessTokenRepo, User::class);
  }
  function it_is_initializable()
  {
    $this->shouldHaveType('Myriad\Authentication\Lib\Providers\EloquentUserProvider');
  }

  function it_should_implement_user_provider_interface()
  {
    $this->shouldImplement(UserProvider::class);
  }
}
