<?php

namespace Myriad\Authentication\Http\Controllers;

use Illuminate\Routing\Controller;
use Illuminate\Contracts\Auth\Guard;
use Myriad\Authentication\Http\Transformers\IUserTransformer;
use League\Fractal\Manager;
use League\Fractal\Resource\Item;

class UserController extends Controller {

  public function me(
    Guard $guard,
    IUserTransformer $transformer,
    Manager $fractal
  ) {
    $resource = new Item($guard->user(), $transformer);

    return $fractal->createData($resource)->toArray();
  }

}
