<?php

namespace Myriad\Authentication\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class VerifyVerificationCodeRequest extends FormRequest
{
  /**
   * Determine if the user is authorized to make this request.
   *
   * @return bool
   */
  public function authorize()
  {
    // anybody can request to verify an email or phone number
    return true;
  }

  /**
   * Get the validation rules that apply to the request.
   *
   * @return array
   */
  public function rules()
  {
    return [
      'contact' => 'required|string',
      'code' => 'required|string'
    ];
  }
}

